GNU bug report logs - #55096
Eldoc showing elisp variable value beside docs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: emacsq <laszlomail@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 55096 <at> debbugs.gnu.org and emacsq <laszlomail@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55096 <at> debbugs.gnu.org:


Received: (at 55096) by debbugs.gnu.org; 24 May 2022 12:50:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 24 08:50:32 2022
Received: from localhost ([127.0.0.1]:51239 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ntTzb-00073H-Nk
	for submit <at> debbugs.gnu.org; Tue, 24 May 2022 08:50:31 -0400
Received: from quimby.gnus.org ([95.216.78.240]:35042)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ntTzX-00072o-HC
 for 55096 <at> debbugs.gnu.org; Tue, 24 May 2022 08:50:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=xwWb+81L6kIjxI1IXPgZO7sK+VvkDs6Y1eepevJOPPQ=; b=YPPlmiaf6cWELcJM7L+CNFAUxY
 nz17CqfZXu0j1fmb5WOd/ejMElz3QtJjKWS6ltu+xFEfhhT5r0lnnRKW8lRWijnSQjXKLlXqfG7kk
 zhkz+YgUF6yeIS8k/aJIGfjuz3ezyfxgpepM9IwkfGSjvuUOl/zqja9CbGBFnwNO2MzQ=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ntTzK-0006qt-3G; Tue, 24 May 2022 14:50:20 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?xaB0xJtww6FuIE7Em21lYw==?= <stepnem@HIDDEN>
Subject: Re: bug#55096: Eldoc showing elisp variable value beside docs
References: <eG53qUa-01CEr2aGMi324YspFoT1I21drf5_0sOLU54bwuM78HsoexyaxXosJsOyku_3hBZtPx4-d4j0J1hMWM37k2qdSUtBrW_e3NozQ0g=@protonmail.com>
 <87levt60u4.fsf@HIDDEN>
 <20220425130033+0200.658972-stepnem@HIDDEN>
X-Now-Playing: Cris Williamson's _The Changer and the Changed_: "Sweet Woman"
Date: Tue, 24 May 2022 14:50:13 +0200
In-Reply-To: <20220425130033+0200.658972-stepnem@HIDDEN>
 (=?utf-8?B?IsWgdMSbcMOhbiBOxJttZWMiJ3M=?=
 message of "Mon, 25 Apr 2022 13:00:33 +0200")
Message-ID: <87a6b7jdru.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Štěpán Němec <stepnem@HIDDEN> writes: >> This would
    only work for global values, and in that case, you can just >> `C-x C-e'
   the variable if you're interested in the value. >> >> So it seems like this
    would be of marginal utility. Anybody [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55096
Cc: 55096 <at> debbugs.gnu.org, emacsq <laszlomail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

=C5=A0t=C4=9Bp=C3=A1n N=C4=9Bmec <stepnem@HIDDEN> writes:

>> This would only work for global values, and in that case, you can just
>> `C-x C-e' the variable if you're interested in the value.
>>
>> So it seems like this would be of marginal utility.  Anybody else got an
>> opinion here?
>
> FWIW, I've been running with some form of the following for many years,
> and I find it extremely useful:

Well, that means that there are at least two people who would like this,
so I've added =C5=A0t=C4=9Bp=C3=A1n's function to Emacs 29.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55096; Package emacs. Full text available.

Message received at 55096 <at> debbugs.gnu.org:


Received: (at 55096) by debbugs.gnu.org; 25 Apr 2022 11:00:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 07:00:04 2022
Received: from localhost ([127.0.0.1]:33402 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1niwRo-0002pE-9y
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 07:00:04 -0400
Received: from mail-ed1-f44.google.com ([209.85.208.44]:37386)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stepnem@HIDDEN>) id 1niwRl-0002o6-OD
 for 55096 <at> debbugs.gnu.org; Mon, 25 Apr 2022 07:00:02 -0400
Received: by mail-ed1-f44.google.com with SMTP id k27so2719543edk.4
 for <55096 <at> debbugs.gnu.org>; Mon, 25 Apr 2022 04:00:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:in-reply-to:references:user-agent:date
 :message-id:mime-version:content-transfer-encoding;
 bh=NepP6VlGm/HqntsbzBKj+nyczwUiXYxo0w7+2dneyo0=;
 b=dzUpIHvMj1PUI4ALk2tioU44xe7T8lRAWkI8r1rrXvXCjkrFfV4iOBBhsMgCqW58bI
 kZC3hIyJ1GVrjpijoz0NbqXYJl6simNcPS5SzCBbeWYadavL2eJR5MSQddJ0mspLIAAp
 q7c6rHrIGBh4I0YgD/Tlfzqxg2Q0uCDhu7v8T5T4/rJ/MdEvKa31SY1424mnVSqvXiCK
 fTyQSL/nt4BMQ/qiOeQW2rZVKoPPowViJlmdkYWtV33sH805eWqtt+CsrcA6QbdMqCor
 Hz12vUtheizTJ0woDRtWeXZnbjYbV35LKaCRrFREC4i31nV2inCEImiKyzQ0RxA+ogW7
 oD1A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version:content-transfer-encoding;
 bh=NepP6VlGm/HqntsbzBKj+nyczwUiXYxo0w7+2dneyo0=;
 b=mCY3IBm7yWiW4aKRwhSsVg88jdS/jjwkntQpPq56jPlIs1UNEn/z+LI7cqMhtcuH5m
 j+oPNz/2QWx2G7gxyq3p87zyQOL0snEa3+rORjRv6yNS0emED0zb9tvejVdoAmTJ7HB+
 L3RQA2C6L4EAU2QmUHB8n1gXiwaR8G6CyDnOZEbvHcG1LqhhfDhgaqLzd1B9VHJxkELN
 R9MNaw+zf+PCxdvBDnCTLVNCSlYPtxM74oZzsJVv2Ro66tdhi2EOLlp1jzH5ykU7LhNa
 5KbKGzGDipxgThmKhXhdLuH66DTPRCOXlCWvBFsVOI3XVWJoYPd7INaw+SSdjWxeHEjV
 ewWQ==
X-Gm-Message-State: AOAM533mq+hOJG1JM4/I1nZSbK7bhrEKgCGNznTfVyex1vzpoXYL+OVN
 PypuTl8blZNmqz/kY+NaMyo=
X-Google-Smtp-Source: ABdhPJzX9+bfOWzMMy7npJqhQQ3iBH3WEGjhhw5FNbTPdhdOgfg2O6bGgZhRuG9PURu/19pC8A6ZAA==
X-Received: by 2002:a50:f1c5:0:b0:425:dd04:b7a9 with SMTP id
 y5-20020a50f1c5000000b00425dd04b7a9mr7477105edl.388.1650884395784; 
 Mon, 25 Apr 2022 03:59:55 -0700 (PDT)
Received: from localhost (internet-185-112-167-61.cznet.cz. [185.112.167.61])
 by smtp.gmail.com with ESMTPSA id
 l3-20020aa7cac3000000b00422c961c8c9sm4409593edt.78.2022.04.25.03.59.55
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 25 Apr 2022 03:59:55 -0700 (PDT)
From: =?utf-8?B?xaB0xJtww6FuIE7Em21lYw==?= <stepnem@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#55096: Eldoc showing elisp variable value beside docs
In-Reply-To: <87levt60u4.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 25 Apr 2022 10:09:39 +0200")
References: <eG53qUa-01CEr2aGMi324YspFoT1I21drf5_0sOLU54bwuM78HsoexyaxXosJsOyku_3hBZtPx4-d4j0J1hMWM37k2qdSUtBrW_e3NozQ0g=@protonmail.com>
 <87levt60u4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
Date: Mon, 25 Apr 2022 13:00:33 +0200
Message-ID: <20220425130033+0200.658972-stepnem@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55096
Cc: 55096 <at> debbugs.gnu.org, emacsq <laszlomail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, 25 Apr 2022 10:09:39 +0200
Lars Ingebrigtsen wrote:

> emacsq <laszlomail@HIDDEN> writes:
>
>> Eldoc showing the docs in the minibuffer is quite useful, but I often
>> check elisp variable values too in the code, and it can be quite handy
>> if eldoc shows that too simply by putting cursor on the variable.
>
> This would only work for global values, and in that case, you can just
> `C-x C-e' the variable if you're interested in the value.
>
> So it seems like this would be of marginal utility.  Anybody else got an
> opinion here?

FWIW, I've been running with some form of the following for many years,
and I find it extremely useful:

  ;; cf. `elisp-eldoc-var-docstring'
  (defun my-elisp-eldoc-var-docstring-with-value (callback &rest _)
    "Document variable at point.
  Intended for `eldoc-documentation-functions' (which see)."
    (when-let ((cs (elisp--current-symbol)))
      (when (and (boundp cs)
		 ;; nil and t are boundp!
		 (not (null cs))
		 (not (eq cs t)))
	(funcall callback
		 (format "%.1250S %s"
			 (symbol-value cs)
			 (let* ((doc (custom-variable-documentation cs))
				(more (- (length doc) 1000)))
			   (concat (propertize
				    (s-truncate 1000
						(if (string=3D doc "nil")
						    "Undocumented."
						  doc)
						"")
				    'face 'font-lock-doc-face)
				   (when (> more 0)
				     (format "[%sc more]" more)))))
		 :thing cs
		 :face 'font-lock-variable-name-face))))

It shows the current value, i.e. buffer-local for local variables, which
is what I want. (It also shows more of the doc string: I use multi-line
echo area.)

--=20
=C5=A0t=C4=9Bp=C3=A1n




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55096; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55096 <at> debbugs.gnu.org:


Received: (at 55096) by debbugs.gnu.org; 25 Apr 2022 08:09:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 04:09:50 2022
Received: from localhost ([127.0.0.1]:33155 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nitn4-0002Lm-Bt
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 04:09:50 -0400
Received: from quimby.gnus.org ([95.216.78.240]:47738)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nitn1-0002LT-Tm
 for 55096 <at> debbugs.gnu.org; Mon, 25 Apr 2022 04:09:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=g1KbYrNBKlmswnscn72I1z3MJUojo7bE6a9TmOcX2F8=; b=Or+YPtQ6VNgmnUa3j5gZAfZilo
 SyT6g7ypW5FRcyGbeNEhXGX8WRM+bhUOrH9oBsdtfPnO8qAsePnUj13X3F9OYsg5Jh7caCpozgw/A
 VrrhQX4lOPOBwwt/zs/AqwHXY2679dkZRf+AnljrXBceF4Tp1h6rZd8rv2Cujdy1oef4=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nitmt-0008AJ-SR; Mon, 25 Apr 2022 10:09:42 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: emacsq <laszlomail@HIDDEN>
Subject: Re: bug#55096: Eldoc showing elisp variable value beside docs
References: <eG53qUa-01CEr2aGMi324YspFoT1I21drf5_0sOLU54bwuM78HsoexyaxXosJsOyku_3hBZtPx4-d4j0J1hMWM37k2qdSUtBrW_e3NozQ0g=@protonmail.com>
X-Now-Playing: Prince's _Sign 'O' the Times (4): Vault Tracks I_: "Power
 Fantastic (Live in Studio)"
Date: Mon, 25 Apr 2022 10:09:39 +0200
In-Reply-To: <eG53qUa-01CEr2aGMi324YspFoT1I21drf5_0sOLU54bwuM78HsoexyaxXosJsOyku_3hBZtPx4-d4j0J1hMWM37k2qdSUtBrW_e3NozQ0g=@protonmail.com>
 (emacsq's message of "Sun, 24 Apr 2022 18:24:36 +0000")
Message-ID: <87levt60u4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  emacsq <laszlomail@HIDDEN> writes: > Eldoc showing
 the docs in the minibuffer is quite useful, but I often > check elisp variable
 values too in the code, and it can be quite handy > if eldoc shows that too
 simply by putting cursor on t [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55096
Cc: 55096 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

emacsq <laszlomail@HIDDEN> writes:

> Eldoc showing the docs in the minibuffer is quite useful, but I often
> check elisp variable values too in the code, and it can be quite handy
> if eldoc shows that too simply by putting cursor on the variable.

This would only work for global values, and in that case, you can just
`C-x C-e' the variable if you're interested in the value.

So it seems like this would be of marginal utility.  Anybody else got an
opinion here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55096; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Apr 2022 18:24:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 24 14:24:56 2022
Received: from localhost ([127.0.0.1]:60151 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nigul-0005b7-Oj
	for submit <at> debbugs.gnu.org; Sun, 24 Apr 2022 14:24:55 -0400
Received: from lists.gnu.org ([209.51.188.17]:41754)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <laszlomail@HIDDEN>) id 1niguk-0005aw-Ne
 for submit <at> debbugs.gnu.org; Sun, 24 Apr 2022 14:24:55 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50658)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <laszlomail@HIDDEN>)
 id 1niguk-00013P-05
 for bug-gnu-emacs@HIDDEN; Sun, 24 Apr 2022 14:24:54 -0400
Received: from mail-4319.protonmail.ch ([185.70.43.19]:18663)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <laszlomail@HIDDEN>)
 id 1niguh-0005SL-I3
 for bug-gnu-emacs@HIDDEN; Sun, 24 Apr 2022 14:24:53 -0400
Date: Sun, 24 Apr 2022 18:24:36 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1650824682;
 bh=pY2sF3meisKygRXX8nakG0SFBNKEeg3qMcqHVdyIcsM=;
 h=Date:To:From:Reply-To:Subject:Message-ID:Feedback-ID:From:To:Cc:
 Date:Subject:Reply-To:Feedback-ID:Message-ID;
 b=ZcCVkOP/qbMntK4BQMAfgGaTwYHGuxxG22mMgTdfi7tqGGxXtiUsRlQ+HvWR9J17w
 qHtL9xQJSy+tW7np5T9phX9xRbqGbLW4ahP1WYZDGXlPm0ys6nDbjSnG7CdKFDEqMN
 Nh+SNLrY2YRTVWgu6klsDK0RP0veKvzpGG/T8t7hWPknftt0uRMn7ak8dFjuXS0xWp
 LiCULchr3pR+xla+u0fDZDuJSzkCpE/NLJKobG/q4SJna9KaUasfTtAN9CqE6Y1oIc
 USO4XSyrUWQMeu+ud2fNWf+FKQRj4TUI5PxRtIEEGqsEUnnx3Xb7IxzAymOcczxZgq
 2H1TMiJ6BvqBg==
To: "Bug reports for GNU Emacs,
 the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
From: emacsq <laszlomail@HIDDEN>
Subject: Eldoc showing elisp variable value beside docs
Message-ID: <eG53qUa-01CEr2aGMi324YspFoT1I21drf5_0sOLU54bwuM78HsoexyaxXosJsOyku_3hBZtPx4-d4j0J1hMWM37k2qdSUtBrW_e3NozQ0g=@protonmail.com>
Feedback-ID: 23059786:user:proton
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="b1_gMdjoH2ZZP8DABkpcRoaTqIA26mlIkAmnQ4Plw9zk"
Received-SPF: pass client-ip=185.70.43.19;
 envelope-from=laszlomail@HIDDEN; helo=mail-4319.protonmail.ch
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, SPF_HELO_PASS=-0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: emacsq <laszlomail@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This is a multi-part message in MIME format.

--b1_gMdjoH2ZZP8DABkpcRoaTqIA26mlIkAmnQ4Plw9zk
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: base64

RWxkb2Mgc2hvd2luZyB0aGUgZG9jcyBpbiB0aGUgbWluaWJ1ZmZlciBpcyBxdWl0ZSB1c2VmdWws
IGJ1dCBJIG9mdGVuIGNoZWNrIGVsaXNwIHZhcmlhYmxlIHZhbHVlcyB0b28gaW4gdGhlIGNvZGUs
IGFuZCBpdCBjYW4gYmUgcXVpdGUgaGFuZHkgaWYgZWxkb2Mgc2hvd3MgdGhhdCB0b28gc2ltcGx5
IGJ5IHB1dHRpbmcgY3Vyc29yIG9uIHRoZSB2YXJpYWJsZS4KClNvIGZvciB2YXJpYWJsZXMgdGhl
IHZhbHVlIHRvbyBjYW4gYmUgc2hvd24gYWZ0ZXIgdGhlIGRvY3MuIEluIGNhc2Ugb2YgcHJpbWl0
aXZlIHZhbHVlcyBpdCdzIHF1aXRlIHNpbXBsZSwgaWYgdGhlcmUgaXMgYSBsb2NhbCB2YWx1ZSB0
aGVuIGl0IGNhbiBzaG93IHRoZSBsb2NhbCB2YWx1ZSBmaXJzdCBhbmQgdGhlbiB0aGUgZ2xvYmFs
IG9uZS4KCkluIGNhc2Ugb2YgY29tcGxleCB2YWx1ZXMgdGhlIGZ1bGwgdmFsdWUgbWF5IGJlIHRv
byBiaWcgdG8gZGlzcGxheSwgYnV0IHRoZSBiZWdpbm5pbmcgb2YgaXQgY2FuIHN0aWxsIGJlIHNo
b3duLCB0cnVuY2F0ZWQgYWZ0ZXIsIHNheSwgMzAgY2hhcnMuIEl0IGlzIHN0aWxsIHVzZWZ1bCBp
ZiwgZm9yIGV4YW1wbGUsIGEgdmFyaWFibGUgY2FuIGJlIG5pbCBhbmQgYWxzbyBhIGxpc3QuIFRo
ZW4geW91IGNhbiBzZWUgYXQgYSBnbGFuY2UgaWYgaXQgaGFzIGEgdmFsdWUgc2V0Lg==

--b1_gMdjoH2ZZP8DABkpcRoaTqIA26mlIkAmnQ4Plw9zk
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: base64

PGRpdiBzdHlsZT0iZm9udC1mYW1pbHk6IGFyaWFsOyBmb250LXNpemU6IDE0cHg7IGNvbG9yOiBy
Z2IoMzQsIDM0LCAzNCk7Ij5FbGRvYyBzaG93aW5nIHRoZSBkb2NzIGluIHRoZSBtaW5pYnVmZmVy
IGlzIHF1aXRlIHVzZWZ1bCwgYnV0IEkgb2Z0ZW4gY2hlY2sgZWxpc3AgdmFyaWFibGUgdmFsdWVz
IHRvbyBpbiB0aGUgY29kZSwgYW5kIGl0IGNhbiBiZSBxdWl0ZSBoYW5keSBpZiBlbGRvYyBzaG93
cyB0aGF0IHRvbyBzaW1wbHkgYnkgcHV0dGluZyBjdXJzb3Igb24gdGhlIHZhcmlhYmxlLjxicj48
L2Rpdj48ZGl2IHN0eWxlPSJmb250LWZhbWlseTogYXJpYWw7IGZvbnQtc2l6ZTogMTRweDsgY29s
b3I6IHJnYigzNCwgMzQsIDM0KTsiPjxicj48L2Rpdj48ZGl2IHN0eWxlPSJmb250LWZhbWlseTog
YXJpYWw7IGZvbnQtc2l6ZTogMTRweDsgY29sb3I6IHJnYigzNCwgMzQsIDM0KTsiPlNvIGZvciB2
YXJpYWJsZXMgdGhlIHZhbHVlIHRvbyBjYW4mbmJzcDsgYmUgc2hvd24gYWZ0ZXIgdGhlIGRvY3Mu
IEluIGNhc2Ugb2YgcHJpbWl0aXZlIHZhbHVlcyBpdCdzIHF1aXRlIHNpbXBsZSwgaWYgdGhlcmUg
aXMgYSBsb2NhbCB2YWx1ZSB0aGVuIGl0IGNhbiBzaG93Jm5ic3A7IHRoZSBsb2NhbCZuYnNwOyB2
YWx1ZSBmaXJzdCBhbmQgdGhlbiB0aGUgZ2xvYmFsIG9uZS48L2Rpdj48ZGl2IHN0eWxlPSJmb250
LWZhbWlseTogYXJpYWw7IGZvbnQtc2l6ZTogMTRweDsgY29sb3I6IHJnYigzNCwgMzQsIDM0KTsi
Pjxicj48L2Rpdj48ZGl2IHN0eWxlPSJmb250LWZhbWlseTogYXJpYWw7IGZvbnQtc2l6ZTogMTRw
eDsgY29sb3I6IHJnYigzNCwgMzQsIDM0KTsiPkluIGNhc2Ugb2YgY29tcGxleCB2YWx1ZXMgdGhl
IGZ1bGwgdmFsdWUgbWF5IGJlIHRvbyBiaWcgdG8gZGlzcGxheSwgYnV0IHRoZSBiZWdpbm5pbmcg
b2YgaXQgY2FuIHN0aWxsIGJlIHNob3duLCB0cnVuY2F0ZWQgYWZ0ZXIsIHNheSwgMzAgY2hhcnMu
IEl0IGlzIHN0aWxsIHVzZWZ1bCBpZiwgZm9yIGV4YW1wbGUsIGEgdmFyaWFibGUgY2FuIGJlIG5p
bCBhbmQgYWxzbyBhIGxpc3QuIFRoZW4geW91IGNhbiBzZWUgYXQgYSBnbGFuY2UgaWYgaXQgaGFz
IGEgdmFsdWUgc2V0LiA8YnI+PC9kaXY+


--b1_gMdjoH2ZZP8DABkpcRoaTqIA26mlIkAmnQ4Plw9zk--





Acknowledgement sent to emacsq <laszlomail@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#55096; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 24 May 2022 13:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.